| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.DialogForm Class Reference
Inheritance diagram for IG.Forms.DialogForm:
[legend]
Collaboration diagram for IG.Forms.DialogForm:
[legend]

## Public Member Functions
| DialogForm ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
DialogControl | MainControl`[get]`
string | Title`[get, set]`
| Messag box title. More...
string | Message`[get, set]`
| Message box message text (display below title). More...
new string | Text`[get, set]`
string | WindowTitle`[get, set]`
| Gets or sets the window title. More...
bool | IsTextPassword`[get, set]`
| If true then text is treated as password, i.e. for all charactes of the text the same system character is shown. More...
bool | IsTextVisible`[get, set]`
| Whether text box (located below the message) is visible. More...
bool | IsTextCausesVisible`[get, set]`
| If true then TextValue property becoming non-null and non-empty string will automatically cause the text control containing that text become visible. More...
bool | IsTextEditable`[get, set]`
| Whether text shown in the text box (located below the message) can be edited. More...
bool | IsTextSettable`[get, set]`
| Whether text shown in the text box (located below the message) can be set programatically. More...
bool | IsTextSetThrows`[get, set]`
| Whether setting text programmatically throws an InvalidOperationException in the case that this is not allowed (i.e., when the IsTextSettable property is false). More...
bool | IsTextMultiLine`[get, set]`
| Whether the text box (shown below the message) is multline. More...
bool | IsTextChangedEventOnValidationOnly`[get, set]`
| Whether the text box (shown below the message) is multline. More...
int | TextBoxWidth`[get, set]`
| Gets or sets the text box width. More...
int | TextBoxHeight`[get, set]`
| Gets or sets the text box height. More...
string | ButtonResult`[get]`
| Text of the button that was last pressed on the control. More...
string[] | Buttons`[get, set]`
| Array of texts that appear on dialog box's buttons. More...

## Private Member Functions
void | Test ()
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
DialogControl | messageControl1

## Constructor & Destructor Documentation

IG.Forms.DialogForm.DialogForm | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.DialogForm.Test | ( |  | ) |
| inline private

override void IG.Forms.DialogForm.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.DialogForm.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG.Forms.DialogForm.components = null
| private

Required designer variable.

DialogControl IG.Forms.DialogForm.messageControl1
| private

## Property Documentation

DialogControl IG.Forms.DialogForm.MainControl
| get

string IG.Forms.DialogForm.Title
| get set

Messag box title.

string IG.Forms.DialogForm.Message
| get set

Message box message text (display below title).

new string IG.Forms.DialogForm.Text
| get set

string IG.Forms.DialogForm.WindowTitle
| get set

Gets or sets the window title.

This property is added because the Text property, which should be ingerited, is overridden and has a different meaning in this form.

bool IG.Forms.DialogForm.IsTextPassword
| get set

If true then text is treated as password, i.e. for all charactes of the text the same system character is shown.

Both setter and getter update the text box' properties accordingly, so calling any of these ensures that the mode (password - hidden text / non-password - visible text) is reflecte correctly in behavior.

bool IG.Forms.DialogForm.IsTextVisible
| get set

Whether text box (located below the message) is visible.

bool IG.Forms.DialogForm.IsTextCausesVisible
| get set

If true then TextValue property becoming non-null and non-empty string will automatically cause the text control containing that text become visible.

bool IG.Forms.DialogForm.IsTextEditable
| get set

Whether text shown in the text box (located below the message) can be edited.

bool IG.Forms.DialogForm.IsTextSettable
| get set

Whether text shown in the text box (located below the message) can be set programatically.

bool IG.Forms.DialogForm.IsTextSetThrows
| get set

Whether setting text programmatically throws an InvalidOperationException in the case that this is not allowed (i.e., when the IsTextSettable property is false).

bool IG.Forms.DialogForm.IsTextMultiLine
| get set

Whether the text box (shown below the message) is multline.

bool IG.Forms.DialogForm.IsTextChangedEventOnValidationOnly
| get set

Whether the text box (shown below the message) is multline.

int IG.Forms.DialogForm.TextBoxWidth
| get set

Gets or sets the text box width.

int IG.Forms.DialogForm.TextBoxHeight
| get set

Gets or sets the text box height.

string IG.Forms.DialogForm.ButtonResult
| get

Text of the button that was last pressed on the control.

string [] IG.Forms.DialogForm.Buttons
| get set

Array of texts that appear on dialog box's buttons.

When set, corresponding buttons are created.

Setter also creates buttons that appear visually on the control, and sets their properties and events.

A small number of buttons with pre-defined text are considered special buttons. These buttons are created in advance, and any string appearing in this property that correspond to the Button.Text property of any of these special buttons will not cause creation of a new button, but the existing special button will be associated with the text, added to the appropriate panel control, and made visible. This makes possible that special behavior of these such special buttons is defined in advance (e.g. in this class' definitioon) and that this special behavior will not be affected by subsequent removals or additions of these buttons.

The documentation for this class was generated from the following files:

- igforms/Utilities/BasicControls/DialgForm.cs
- igforms/Utilities/BasicControls/DialgForm.Designer.cs